Send SMS
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.
When sending SMS, you must specify the SMS Channel. Each mobile phone number can only send once in the same channel within one minute.
Method name
AuthenticationClient.sendSms
Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| channel | string | Yes | - | SMS channel, specify the purpose of sending this SMS: - CHANNEL_LOGIN: for user login- CHANNEL_REGISTER: for user registration- CHANNEL_RESET_PASSWORD: for resetting password- CHANNEL_BIND_PHONE: Used to bind a phone number- CHANNEL_UNBIND_PHONE: Used to unbind a phone number- CHANNEL_BIND_MFA: Used to bind MFA- CHANNEL_VERIFY_MFA: Used to verify MFA- CHANNEL_UNBIND_MFA: Used to unbind MFA- CHANNEL_COMPLETE_PHONE: Used to complete the phone number information when registering/login- CHANNEL_IDENTITY_VERIFICATION: Used for user real-name authentication- CHANNEL_DELETE_ACCOUNT: Used to cancel an account | CHANNEL_LOGIN |
| phoneNumber | string | Yes | - | Phone number without area code. If it is a foreign phone number, please specify the area code in the phoneCountryCode parameter. | 188xxxx8888 |
| phoneCountryCode | string | No | - | Mobile phone area code. This field is optional for mainland China mobile phone numbers. The GenAuth SMS service does not yet support international mobile phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of mobile phone area codes, please refer to https://en.wikipedia.org/wiki/List_of_country_calling_codes. | +86 |
Sample code
ts
import { AuthenticationClient, Models } from "authing-node-sdk";
const authenticationClient = new AuthenticationClient({
// Need to be replaced with your GenAuth AppId, Secret and Host
appId: "GEN_AUTH_APP_ID",
appSecret: "GEN_AUTH_APP_SECRET",
appHost: "GEN_AUTH_APP_HOST",
});
(async () => {
const result = await authenticationClient.sendSms({
phoneNumber: "188xxxx8888",
channel: Models.SendSMSDto.channel.CHANNEL_LOGIN,
phoneCountryCode: "+86",
});
console.log(JSON.stringify(result, null, 2));
})();Request response
Type: SendSMSRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description information |
| apiCode | number | Segmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
Sample result:
json
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}